### Installation

Copy ```config.defaults.js``` to ```config.js``` and change as required. Any settings left out will use the value from ```config.defaults.js```.

To build the production version:
```bash
npm run build

```


#### Service on Linux (systemd)
/etc/systemd/system/recv.service:


```ini
[Unit]
Description=Recv

[Service]
ExecStart=/usr/bin/node /srv/recv/index.js
WorkingDirectory=/srv/recv
Restart=always
RestartSec=10                       # Restart service after 10 seconds if node service crashes
StandardOutput=syslog               # Output to syslog
StandardError=syslog                # Output to syslog
SyslogIdentifier=recv
User=recv

[Install]
WantedBy=multi-user.target
```

```bash
systemctl enable recv.service
systemctl start recv.service
```